package com.manage.dao;

import com.manage.entity.Power_Dept;
import com.manage.vo.Power_DeptVo;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;

public interface Power_DeptMapper {
    int deleteByPrimaryKey(Integer dept_id);

    int insert(Power_Dept record);

    int insertSelective(Power_Dept record);

    Power_Dept selectByPrimaryKey(Integer dept_id);

    int updateByPrimaryKeySelective(Power_Dept record);

    int updateByPrimaryKey(Power_Dept record);

    List<Power_DeptVo> findSomeByMore(Power_Dept powerDept);

    int getTotal(Power_Dept powerDept);


    List<Power_DeptVo>getDeptList();

    List<Power_Dept> checkDeptName(@Param("deptName")String deptName,@Param("dictId")Integer dictId);

    List<Power_Dept>selectByPrimaryKeys(Map<String, Object> map);

    List<Power_Dept> selectDeptByDeptName(Map<String, Object> map);

    List<Power_DeptVo> selectDeptByUserId(@Param("userId") Integer userId);

    List<Power_DeptVo> selectDeptByDictId(@Param("dictId") Integer dictId,@Param("sysFlag")String sysFlag);

    int SimpleInsert(List<Power_Dept> list);
}